Bug 13232 - patron letter browse not working
Summary: patron letter browse not working
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-11 14:01 UTC by Nicole C. Engard
Modified: 2015-08-04 09:11 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 13232: Search patrons by a first letter should not redirect to a patron detail page (1.25 KB, patch)
2014-11-12 09:08 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13232: Search patrons by a first letter should not redirect to a patron detail page (1.38 KB, patch)
2014-11-13 08:10 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 13232: Search patrons by a first letter should not redirect to a patron detail page (1.49 KB, patch)
2014-11-13 20:31 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2014-11-11 14:01:08 UTC
I just pulled master a few minutes ago, went to the patron module and clicked 'E' it gave me a patron named John Stewart - that was the only result. I do have patrons with last names that start with E - like mine. I think the alphabet filters on the patron search page are not working as expected.
Comment 1 Nicole C. Engard 2014-11-11 14:26:58 UTC
Here's a video: http://screencast.com/t/z7UCKT57Olp
Comment 2 Jonathan Druart 2014-11-12 09:08:11 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2014-11-12 13:29:39 UTC
You can only reproduce it if you have a patron with a cardnumber==""
Comment 4 Chris Cormack 2014-11-13 08:10:35 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2014-11-13 20:31:50 UTC
Created attachment 33534 [details] [review]
[PASSED QA] Bug 13232: Search patrons by a first letter should not redirect to a patron detail page

Bug 12833 allows to find a patron with his cardnumber.
But this won't never append if the firstletter parameter is given.

Actually the firstletter param is the only one to take into account if
it exists.

Test plan:
Search patrons by a first letter and verify that the feature is back.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

To reproduce the problem you need at least one borrower with a blank
cardnumber

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
works as descrobed, no problems found.
Comment 6 Tomás Cohen Arazi 2014-11-14 12:37:33 UTC
Patch pushed to master.

Thanks Jonathan!